org.gnome.gtk

## Class MulticontextInputMethod

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.InputMethod
        - - org.gnome.gtk.MulticontextInputMethod

-     public class MulticontextInputMethod
      extends InputMethod

  A dynamic input method that enables the user to switch between input methods.

  Apparently you should use this in preference to "simple", although if using this without having specified a different input method you'll get GTK's default which seems to be a (the?) SimpleInputMethod.

  Since:
    4.0.14
  Author:
    Andrew Cowie

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.InputMethod

      `InputMethod.Commit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MulticontextInputMethod()` Create an input method.

  - ### Method Summary

    - ### Methods inherited from class org.gnome.gtk.InputMethod

      `connect, filterKeypress, setUsePreedit`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MulticontextInputMethod

          public MulticontextInputMethod()

      Create an input method.
      Since:
        4.0.14